petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscIntSumError

Computes the sum of two positive PetscInt and generates an error with overflow.

### Synopsis

    PETSC_STATIC_INLINE PetscErrorCode PetscIntSumError(PetscInt a,PetscInt b,PetscInt *result)

Not Collective

### Input Parameter

| a | - the PetscInt value
| b | - the second value

Output Parameter:ma

c -the result as a PetscInt value, or NULL if you do not want the result, you just want to check if it overflows

Use PetscInt64Mult() to compute the product of two 32 bit PetscInt and store in a PetscInt64 Use PetscIntMultTruncate() to compute the product of two PetscInt and truncate it to fit in a PetscInt

Not available from Fortran

### See Also

PetscBLASInt, PetscMPIInt, PetscInt, PetscBLASIntCast(), PetscInt64Mult()

### Level

advanced

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages